///**
// * Copyright (C) 2011 - 101loops.com <dev@101loops.com>
// *
// * Licensed under the Apache License, Version 2.0 (the "License");
// * you may not use this file except in compliance with the License.
// * You may obtain a copy of the License at
// *
// *         http://www.apache.org/licenses/LICENSE-2.0
// *
// * Unless required by applicable law or agreed to in writing, software
// * distributed under the License is distributed on an "AS IS" BASIS,
// * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// * See the License for the specific language governing permissions and
// * limitations under the License.
// */
//package com.crashnote.core.send.impl;
//
//import com.crashnote.core.Lifecycle;
//import com.crashnote.core.config.*;
//import com.crashnote.core.log.LogLog;
//import com.crashnote.core.model.excp.SendException;
//import com.crashnote.core.model.log.LogReport;
//
///**
// * Coordinates the data exchange between client and server. In this most simplest implementation it
// * basically just delegates each job directly to the {@link Dispatcher}.
// */
//public class Connector<C extends Config>
//        implements Lifecycle, IConfigChangeListener<C> {
//
//    // configuration settings
//    private boolean enabled;
//
//    private final LogLog logger;
//    private final Dispatcher<C> dispatcher;
//
//    // SETUP ======================================================================================
//
//    public Connector(final C config) {
//        updateConfig(config);
//        this.dispatcher = createDispatcher(config);
//        this.logger = config.getLogger(this.getClass());
//    }
//
//    public void updateConfig(final C config) {
//        config.addListener(this);
//        this.enabled = config.sendToCloud();
//    }
//
//    // LIFECYCLE ==================================================================================
//
//    public boolean start() {
//        return true;
//    }
//
//    public boolean stop() {
//        return true;
//    }
//
//    // INTERFACE ==================================================================================
//
//    
//
//    // SHARED =====================================================================================
//
//    protected void doTransmit(final LogReport report) throws SendException {
//        dispatcher.send(report);
//    }
//
//    // FACTORY ====================================================================================
//
//    protected Dispatcher<C> createDispatcher(final C config) {
//        return new Dispatcher<C>(config);
//    }
//
//    // GET ========================================================================================
//
//    public Dispatcher<C> getDispatcher() {
//        return dispatcher;
//    }
//
//    public LogLog getLogger() {
//        return logger;
//    }
//
//    public boolean isEnabled() {
//        return enabled;
//    }
//}
